Subject: [urn] Fwd: New Version Notification for draft-blanchet-urn-ianachange-00.txt

From: Marc Blanchet <[email-masked]>
Date: Wed, 31 Jul 2013 13:55:06 +0200

- without paying attention to urn ML lately, I wrote a few months ago a draft that I circulated to a few people (before publishing) about making registration of urn formal namespace much less burden on IESG by having Expert review. I also wanted to make the template much less verbose since it requests stuff that may no more be 2013ish..., but did not take this into my draft.  
- I had a chat with Peter St-André that he was working on this for the 3406bis. 

So here is my small contribution to the discussion.

Marc.

Début du message réexpédié :

> De : [email-masked]
> Objet : New Version Notification for draft-blanchet-urn-ianachange-00.txt
> Date : 31 juillet 2013 13:50:43 UTC+02:00
> À : Marc Blanchet <[email-masked]>
> 
> 
> A new version of I-D, draft-blanchet-urn-ianachange-00.txt
> has been successfully submitted by Marc Blanchet and posted to the
> IETF repository.
> 
> Filename:	 draft-blanchet-urn-ianachange
> Revision:	 00
> Title:		 Uniform Resource Names (URN) Formal Namespace IANA Registration
> Creation date:	 2013-07-31
> Group:		 Individual Submission
> Number of pages: 3
> URL:             http://www.ietf.org/internet-drafts/draft-blanchet-urn-ianachange-00.txt
> Status:          http://datatracker.ietf.org/doc/draft-blanchet-urn-ianachange
> Htmlized:        http://tools.ietf.org/html/draft-blanchet-urn-ianachange-00
> 
> 
> Abstract:
>   Per RFC3406, Uniform Resource Names formal namespace identifier (NID)
>   registration requires the publication of an RFC from the requestor.
>   Experience shows that this requirement is too high.  This document
>   updates the IANA registration policy for formal NID to Expert review.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 31 Jul 2013 14:28:07 +0200

On 7/31/13 1:55 PM, Marc Blanchet wrote:
> - without paying attention to urn ML lately, I wrote a few months ago a
> draft that I circulated to a few people (before publishing) about making
> registration of urn formal namespace much less burden on IESG by having
> Expert review. I also wanted to make the template much less verbose
> since it requests stuff that may no more be 2013ish..., but did not take
> this into my draft.  

Thanks, Marc! You raise two issues. I shall reply separately regarding
each issue, and change the subject of your message.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 31 Jul 2013 14:38:46 +0200

On 7/31/13 1:55 PM, Marc Blanchet wrote:

> making
> Expert review.  

We will discuss this on Friday, but here are some considerations:

The current RFC 5226 policy ("IETF Consensus") requires publication of
an RFC that is approved for publication by the IESG. This means that an
Area Director needs to sponsor it, it needs to undergo IETF Last Call, etc.

A less restrictive policy would be "RFC Required". This means that
someone could, for instance, publish an RFC through the Independent
Submissions stream, see https://www.rfc-editor.org/indsubs.html

An even less restrictive policy would be "Specfication Required", which
means that someone could publish a document via some other standards
development organization (or even a stable website - the rules are a bit
fuzzy).

A yet more loose policy would be "Expert Review", which in practice
means that someone would simply need to send a completed template to the
[email-masked] list.

In any case, I think we need to provide guidelines to reviewers (since
in all cases review happens on the urn-nid list). Here is a document
that provides similar guidelines for another IANA registry:

https://datatracker.ietf.org/doc/draft-ietf-ipfix-ie-doctors/

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Marc Blanchet <[email-masked]>
Date: Wed, 31 Jul 2013 14:43:08 +0200

> means that someone would simply need to send a completed template to the

In some ways, "Specification Required" may be more loose than Expert Review, because if the requestor "just" point to a "dumb" specification, then he may get the assignment. i.e. the existence of the specification does not mean you know what you are doing... (well, we can spin off a discussion on that statement, but that is not the point).

So I'm in favor of "expert review", lightweight, that would have knowledge to verify that the requestor know what he is doing.  The template (the other topic) shall contain a request to URL to a document from the requestor about the usage they intend to do with the URN.  So this way, there is also an "hidden Specification Required".

Marc.

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 31 Jul 2013 14:43:09 +0200

On 7/31/13 1:55 PM, Marc Blanchet wrote:

> I also wanted to make the template much less verbose
> since it requests stuff that may no more be 2013ish...

I am in favor of making the template less verbose. I had tried to
minimize the diff between 3406 and 3406bis. If the WG would like to make
further simplifications, I would be happy to discuss that. However, I
have not yet given it much thought. Suggestions are welcome.

(Oh, and I also think that the template ought to include the "Namespace
Considerations", "Community Considerations", and "Security
Considerations" since that would enable us to just use the template and
not require a specification, if we decide to go with Expert Review as
the RFC 5226 registration policy.)

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Marc Blanchet <[email-masked]>
Date: Wed, 31 Jul 2013 14:46:38 +0200

Le 2013-07-31 à 14:43, Peter Saint-Andre <[email-masked]> a écrit :

> I am in favor of making the template less verbose.

I was using "verbose", but I guess it is not the right word. It is about only asking the relevant questions given the state of things today. And the relevant questions that are "just" enough for the expert to review/agree/disagree with the request.  (I know I'm binding the two topics now...). 

> I had tried to

yeah, I'm not sure I'll have time before urn friday morning to give a good suggestion to chew on. But will do later.

Marc.

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 31 Jul 2013 14:49:22 +0200

On 7/31/13 2:43 PM, Marc Blanchet wrote:
>>> making registration of urn formal namespace much less burden on
>>> IESG by having Expert review.
>> 
>> The current RFC 5226 policy ("IETF Consensus") requires publication
>> of an RFC that is approved for publication by the IESG. This means
>> that an Area Director needs to sponsor it, it needs to undergo IETF
>> Last Call, etc.
>> 
>> someone could, for instance, publish an RFC through the
>> Independent Submissions stream, see
>> https://www.rfc-editor.org/indsubs.html
>> 
>> An even less restrictive policy would be "Specfication Required",
>> which means that someone could publish a document via some other
>> standards development organization (or even a stable website - the
>> rules are a bit fuzzy).
>> 
>> A yet more loose policy would be "Expert Review", which in
>> practice means that someone would simply need to send a completed
>> template to the [email-masked] list.
> 
> In some ways, "Specification Required" may be more loose than Expert
> Review, because if the requestor "just" point to a "dumb"
> specification, then he may get the assignment. i.e. the existence of
> the specification does not mean you know what you are doing... (well,
> we can spin off a discussion on that statement, but that is not the
> point).
> 
> So I'm in favor of "expert review", lightweight, that would have
> knowledge to verify that the requestor know what he is doing.  The
> template (the other topic) shall contain a request to URL to a
> document from the requestor about the usage they intend to do with
> the URN.  So this way, there is also an "hidden Specification
> Required".

Without my document editor hat on, I think Expert Review would be just
fine (and I do think the expert reviewers would normally want to see
some kind of documentation to make sure the folks assigning URNs under
the requested namespace seem to know what they are doing).

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 31 Jul 2013 14:52:44 +0200

On 7/31/13 2:46 PM, Marc Blanchet wrote:
>>> I also wanted to make the template much less verbose since it
>>> requests stuff that may no more be 2013ish...
>> 
> I was using "verbose", but I guess it is not the right word. It is
> about only asking the relevant questions given the state of things
> today. And the relevant questions that are "just" enough for the
> expert to review/agree/disagree with the request.  (I know I'm
> binding the two topics now...).

Yes, I understand. I don't think the two are bound, because even under
the current policy *someone* will be reviewing the template (but now
it's the IESG).

>> I had tried to minimize the diff between 3406 and 3406bis. If the
>> WG would like to make further simplifications, I would be happy to
>> discuss that. However, I have not yet given it much thought.
>> Suggestions are welcome.
> 
> yeah, I'm not sure I'll have time before urn friday morning to give a
> good suggestion to chew on. But will do later.

Understood. We don't need suggestions by Friday for sure, but I'll chew
on it before then as well.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Barry Leiba <[email-masked]>
Date: Wed, 31 Jul 2013 09:33:36 -0400

> In some ways, "Specification Required" may be more loose than Expert Review,
> because if the requestor "just" point to a "dumb" specification, then he may get
> the assignment. i.e. the existence of the specification does not mean you know
> what you are doing... (well, we can spin off a discussion on that statement, but
> that is not the point).

No.

Specification Required includes review by a Designated Expert, as in
Expert Review.  In other words, Specification Required is [Expert
Review + a stable, public specification].

> So I'm in favor of "expert review", lightweight, that would have knowledge to
> verify that the requestor know what he is doing.  The template (the other topic)
> shall contain a request to URL to a document from the requestor about the
> usage they intend to do with the URN.  So this way, there is also an "hidden
> Specification Required".

If you want to require a specification, then it should be
Specification Required.  You should include instructions to the
Designated Expert about review criteria, and what level of
specification to look for.

The only time it makes sense to try to do this "hidden Spec Req" thing
is when you want First Come First Served, but you want the
registration to point to some sort of reference document.

Barry

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 31 Jul 2013 15:46:33 +0200

> specification to look for.

Barry, thanks for the clarifications. I agree with your interpretation
of RFC 5226.

Also, note that Expert Review could require documentation that doesn't
necessarily take the form of "a permanent and readily available public
specification" as in Specification Required. Thus we're not saying that
no documentation would be necessary.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Ted Hardie <[email-masked]>
Date: Wed, 31 Jul 2013 15:49:52 +0200

> no documentation would be necessary.
Do you refer to the case where a document is provided to the expert, but is
not available for general review because of license, fee, or similar
restriction?

Ted

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 31 Jul 2013 16:05:38 +0200

On 7/31/13 3:49 PM, Ted Hardie wrote:
> On Wed, Jul 31, 2013 at 3:46 PM, Peter Saint-Andre <[email-masked]
> <mailto:[email-masked]>> wrote:
> 
> 
> Do you refer to the case where a document is provided to the expert, but
> is not available for general review because of license, fee, or similar
> restriction?

In this context I refer only to RFC 5226:

      Expert Review (or Designated Expert) - approval by a Designated
            Expert is required.  The required documentation and review
            criteria for use by the Designated Expert should be provided
            when defining the registry.  For example, see Sections 6 and
            7.2 in [RFC3748].

Under that policy, it would be up to us to define what documentation
might be required.

The case you mention might arise, however (e.g., we know that some URN
namespace "managers" have had internal procedures and it might be
appropriate for the designated experts to take a look at the relevant
documentation to make sure that the namespace manager has good processes
and procedures in place).

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Barry Leiba <[email-masked]>
Date: Wed, 31 Jul 2013 10:12:14 -0400

> Under that policy, it would be up to us to define what documentation

That sort of documentation is usually in the form of the "registration
template", which provides additional documentation that's not in the
registry.  But, that said, ...

> and procedures in place).

... I think this would be a reasonable approach, in a case where, say,
the processes are considered by the expert, but they are not immutable
and could change at any time (so they don't fit the definition of
"stable" in Specification Required).  The DE would have to judge
whether the namespace managers are likely to go off the deep end or
remain sane for the foreseeable future.

Barry

---

From: Marc Blanchet <[email-masked]>
Date: Wed, 31 Jul 2013 18:08:04 +0200

>> and procedures in place).

that was what I had in mind. show by a document (that should be really a specification about how the organisation will allocate/manage the subtree and related topics) to the expert. 

> remain sane for the foreseeable future.

+1.

marc.

> 
> Barry
> _______________________________________________
> urn mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/urn